## pid 0.13

=== DESCRIPTION ===
Package: pid
Title: Process Improvement using Data
Version: 0.13
Date: 2015-07-03
Authors@R: c(person("Kevin", "Dunn", role = c("aut", "cre"),
  	     email = "kevin.dunn@mcmaster.ca"))
Author: Kevin Dunn [aut, cre]
Maintainer: Kevin Dunn <kevin.dunn@mcmaster.ca>
Depends: R (>= 2.15.0), ggplot2, stats
Suggests: MASS
Description: A collection of scripts and data files for the statistics text: 
 "Process Improvement using Data". The package contains code for designed 
 experiments, data sets and other convenience functions used in the book.
License: BSD_2_clause + file LICENSE
URL: http://learnche.org/pid
NeedsCompilation: no
BugReports: https://bitbucket.org/kevindunn/r-pid
Packaged: 2015-07-06 02:22:40 UTC; kevindunn
Repository: CRAN
Date/Publication: 2015-07-06 06:31:27

## pid 0.15

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pid
 Title: Process Improvement using Data
-Version: 0.13
-Date: 2015-07-03
+Version: 0.15
+Date: 2015-07-12
 Authors@R: c(person("Kevin", "Dunn", role = c("aut", "cre"),
   	     email = "kevin.dunn@mcmaster.ca"))
 Author: Kevin Dunn [aut, cre]
@@ -15,6 +15,6 @@
 URL: http://learnche.org/pid
 NeedsCompilation: no
 BugReports: https://bitbucket.org/kevindunn/r-pid
-Packaged: 2015-07-06 02:22:40 UTC; kevindunn
+Packaged: 2015-07-12 23:04:37 UTC; kevindunn
 Repository: CRAN
-Date/Publication: 2015-07-06 06:31:27
+Date/Publication: 2015-07-13 01:13:24

## pid 0.32

=== DESCRIPTION ===
Package: pid
Title: Process Improvement using Data
Version: 0.32
Date: 2015-07-23
Authors@R: c(person("Kevin", "Dunn", role = c("aut", "cre"),
  	     email = "kevin.dunn@mcmaster.ca"))
Author: Kevin Dunn [aut, cre]
Maintainer: Kevin Dunn <kevin.dunn@mcmaster.ca>
Depends: R (>= 2.15.0), ggplot2, stats, png, FrF2, DoE.base
Suggests: MASS
Description: A collection of scripts and data files for the statistics text: 
 "Process Improvement using Data". The package contains code for designed 
 experiments, data sets and other convenience functions used in the book.
License: BSD_2_clause + file LICENSE
URL: http://learnche.org/pid
NeedsCompilation: no
BugReports: https://bitbucket.org/kevindunn/r-pid
Packaged: 2015-07-23 12:45:42 UTC; kevindunn
Repository: CRAN
Date/Publication: 2015-07-23 15:24:59

## pid 0.36

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pid
 Title: Process Improvement using Data
-Version: 0.32
-Date: 2015-07-23
+Version: 0.36
+Date: 2015-08-06
 Authors@R: c(person("Kevin", "Dunn", role = c("aut", "cre"),
   	     email = "kevin.dunn@mcmaster.ca"))
 Author: Kevin Dunn [aut, cre]
@@ -15,6 +15,6 @@
 URL: http://learnche.org/pid
 NeedsCompilation: no
 BugReports: https://bitbucket.org/kevindunn/r-pid
-Packaged: 2015-07-23 12:45:42 UTC; kevindunn
+Packaged: 2015-08-07 03:17:49 UTC; kevindunn
 Repository: CRAN
-Date/Publication: 2015-07-23 15:24:59
+Date/Publication: 2015-08-07 09:01:15

## pid 0.50

=== DESCRIPTION ===
Package: pid
Title: Process Improvement using Data
Version: 0.50
Date: 2018-11-21
Authors@R: c(person("Kevin", "Dunn", role = c("aut", "cre"),
  	     email = "kgdunn@gmail.com"))
Author: Kevin Dunn [aut, cre]
Maintainer: Kevin Dunn <kgdunn@gmail.com>
Imports: ggplot2, stats, png, FrF2, DoE.base, FrF2.catlg128
Suggests: MASS
Description: A collection of scripts and data files for the statistics text: 
 "Process Improvement using Data" <https://learnche.org/pid> and the online 
 course "Experimentation for Improvement" found on Coursera. The package 
 contains code for designed experiments, data sets and other convenience 
 functions used in the book.
License: BSD_2_clause + file LICENSE
URL: https://learnche.org/pid
NeedsCompilation: no
BugReports: https://bitbucket.org/kevindunn/r-pid
RoxygenNote: 6.1.1
Packaged: 2018-11-22 21:13:18 UTC; kevindunn
Repository: CRAN
Date/Publication: 2018-11-23 17:30:03 UTC

## pid 0.65

=== DESCRIPTION ===
Package: pid
Title: Process Improvement using Data
Version: 0.65
Date: 2026-01-10
Authors@R: c(person("Kevin", "Dunn", role = c("aut", "cre"),
  	     email = "kgdunn@gmail.com"))
Author: Kevin Dunn [aut, cre]
Maintainer: Kevin Dunn <kgdunn@gmail.com>
Imports: ggplot2, stats, png, FrF2, DoE.base, FrF2.catlg128
Suggests: MASS
Description: A collection of scripts and data files for the statistics text:
 "Process Improvement using Data" <https://learnche.org/pid/> and the online
 course "Experimentation for Improvement" found on Coursera. The package
 contains code for designed experiments, data sets and other convenience
 functions used in the book.
License: BSD_2_clause + file LICENSE
URL: https://learnche.org/pid/
NeedsCompilation: no
BugReports: https://github.com/kgdunn/R-package-PID-Process-Improvement-using-Data/issues
RoxygenNote: 7.3.3
Encoding: UTF-8
Packaged: 2026-01-10 06:54:02 UTC; kevindunn
Repository: CRAN
Date/Publication: 2026-01-10 15:00:02 UTC

## pid 3.0.3

=== debian/changelog ===
pid (3.0.3-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 25 Dec 2024 00:45:21 -0800

pid (3.0.3-1) UNRELEASED; urgency=medium

  * Update to latest upstream release 3.0.3

 -- Vojtech Trefny <vtrefny@redhat.com>  Mon, 13 Apr 2020 15:11:53 +0200

pid (2.2.5-2) UNRELEASED; urgency=medium

  [ Vojtech Trefny ]
  * Add dh-python to Build-Depends

 -- Vojtěch Trefný <vtrefny@redhat.com>  Mon, 13 Apr 2020 14:10:55 +0200

pid (2.2.5-1) UNRELEASED; urgency=medium

  * Initial release.

 -- Vojtech Trefny <vtrefny@redhat.com>  Sat, 07 Sep 2019 21:07:42 +0200

=== debian/control ===
Source: pid
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Vojtech Trefny <vtrefny@redhat.com>
Section: misc
Priority: optional
Standards-Version: 4.4.0
Homepage: https://github.com/trbs/pid
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-mock,
               python3-nose,
               python3-pytest,
               python3-setuptools

Package: python3-pid
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Pidfile featuring stale detection and file-locking.
  PidFile features:
  - stale detection
  - locking using fcntl
  - chmod (default is 0o644)
  - chown
  - custom exceptions
  PidFile can also be used as a context manager or a decorator
